$ErrorActionPreference = 'Stop';

$packageName = 'teamviewer'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.teamviewer.com/download/version_11x/TeamViewer_Setup.exe'
$url64      = 'https://download.teamviewer.com/download/version_11x/TeamViewer_Setup.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'teamviewer*'

  checksum      = '5ba13a21ac6e4189af9ba650e1e862f9dfcb99ff29a2554af00bfa83ba48f75e'
  checksumType  = 'sha256'
  checksum64    = '5ba13a21ac6e4189af9ba650e1e862f9dfcb99ff29a2554af00bfa83ba48f75e'
  checksumType64= 'sha256'

  silentArgs    = "/S"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
